---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libstepBreakPopReturn.dylib'
relocations:
  - { offsetInCU: 0x96, offset: 0x96, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x3E410, symBinAddr: 0x70D0, symSize: 0x0 }
  - { offsetInCU: 0xB4, offset: 0xB4, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x3E418, symBinAddr: 0x70D8, symSize: 0x0 }
  - { offsetInCU: 0x8D01, offset: 0x8D01, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x3E420, symBinAddr: 0x70E0, symSize: 0x0 }
  - { offsetInCU: 0x8D8A, offset: 0x8D8A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x3E430, symBinAddr: 0x70F0, symSize: 0x0 }
  - { offsetInCU: 0x8DA3, offset: 0x8DA3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x3E438, symBinAddr: 0x70F8, symSize: 0x0 }
  - { offsetInCU: 0x8DBC, offset: 0x8DBC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x3E440, symBinAddr: 0x7100, symSize: 0x0 }
  - { offsetInCU: 0x8DD5, offset: 0x8DD5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x3E448, symBinAddr: 0x7108, symSize: 0x0 }
  - { offsetInCU: 0x8DEE, offset: 0x8DEE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x3E450, symBinAddr: 0x7110, symSize: 0x0 }
  - { offsetInCU: 0x8E08, offset: 0x8E08, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x3E458, symBinAddr: 0x7118, symSize: 0x0 }
  - { offsetInCU: 0x8E47, offset: 0x8E47, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x3E460, symBinAddr: 0x7120, symSize: 0x0 }
  - { offsetInCU: 0x8E52, offset: 0x8E52, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x3E464, symBinAddr: 0x7124, symSize: 0x0 }
  - { offsetInCU: 0x8E5D, offset: 0x8E5D, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x3E468, symBinAddr: 0x7128, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x3E470, symBinAddr: 0x7130, symSize: 0x0 }
  - { offsetInCU: 0x8F1B, offset: 0x8F1B, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x3E528, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x8F34, offset: 0x8F34, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x3E52C, symBinAddr: 0x71EC, symSize: 0x0 }
  - { offsetInCU: 0x8F4D, offset: 0x8F4D, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x3E530, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x8F66, offset: 0x8F66, size: 0x8, addend: 0x0, symName: __ZL21gszDebuggeeMethodName, symObjAddr: 0xA418, symBinAddr: 0x70B8, symSize: 0x0 }
  - { offsetInCU: 0x8F7F, offset: 0x8F7F, size: 0x8, addend: 0x0, symName: __ZL20gszDebuggeeClassName, symObjAddr: 0xA420, symBinAddr: 0x70C0, symSize: 0x0 }
  - { offsetInCU: 0x8F98, offset: 0x8F98, size: 0x8, addend: 0x0, symName: __ZL21gIsDebuggerCompatible, symObjAddr: 0x3E534, symBinAddr: 0x71F4, symSize: 0x0 }
  - { offsetInCU: 0x8FB8, offset: 0x8FB8, size: 0x8, addend: 0x0, symName: __ZL21gIsMethodEntryWorking, symObjAddr: 0x3E535, symBinAddr: 0x71F5, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL20gIsSingleStepWorking, symObjAddr: 0x3E536, symBinAddr: 0x71F6, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL20gIsBreakpointWorking, symObjAddr: 0x3E537, symBinAddr: 0x71F7, symSize: 0x0 }
  - { offsetInCU: 0x9018, offset: 0x9018, size: 0x8, addend: 0x0, symName: __ZL14gErrorHappened, symObjAddr: 0x3E538, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x9038, offset: 0x9038, size: 0x8, addend: 0x0, symName: __ZL9gJvmtiEnv, symObjAddr: 0x3E540, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x9051, offset: 0x9051, size: 0x8, addend: 0x0, symName: __ZL16gIsBreakpointSet, symObjAddr: 0x3E548, symBinAddr: 0x7208, symSize: 0x0 }
  - { offsetInCU: 0x9071, offset: 0x9071, size: 0x8, addend: 0x0, symName: __ZL12gIsFirstCall, symObjAddr: 0x3E549, symBinAddr: 0x7209, symSize: 0x0 }
  - { offsetInCU: 0x90D1, offset: 0x90D1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1410, symSize: 0x30 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE10, symBinAddr: 0x1440, symSize: 0x10 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xE20, symBinAddr: 0x1450, symSize: 0x300 }
  - { offsetInCU: 0x973D, offset: 0x973D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x1800, symBinAddr: 0x1A50, symSize: 0x110 }
  - { offsetInCU: 0x9833, offset: 0x9833, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x5360, symBinAddr: 0x2F10, symSize: 0x4A0 }
  - { offsetInCU: 0x9A95, offset: 0x9A95, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x1910, symBinAddr: 0x1B60, symSize: 0x150 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x16B0, symBinAddr: 0x1900, symSize: 0x150 }
  - { offsetInCU: 0x9D43, offset: 0x9D43, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x1A60, symBinAddr: 0x1CB0, symSize: 0x1B0 }
  - { offsetInCU: 0x9F3E, offset: 0x9F3E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1120, symBinAddr: 0x1750, symSize: 0x10 }
  - { offsetInCU: 0xA0BA, offset: 0xA0BA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x1360, symBinAddr: 0x1760, symSize: 0x1A0 }
  - { offsetInCU: 0xA455, offset: 0xA455, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x4800, symBinAddr: 0x29B0, symSize: 0xB0 }
  - { offsetInCU: 0xA4B0, offset: 0xA4B0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x48B0, symBinAddr: 0x2A60, symSize: 0x80 }
  - { offsetInCU: 0xA513, offset: 0xA513, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x49F0, symBinAddr: 0x2BA0, symSize: 0x220 }
  - { offsetInCU: 0xA71F, offset: 0xA71F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x1FC0, symBinAddr: 0x1E60, symSize: 0xA0 }
  - { offsetInCU: 0xA785, offset: 0xA785, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x2230, symBinAddr: 0x1F00, symSize: 0x80 }
  - { offsetInCU: 0xA84E, offset: 0xA84E, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x22B0, symBinAddr: 0x1F80, symSize: 0x6C0 }
  - { offsetInCU: 0xB3E4, offset: 0xB3E4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x2D90, symBinAddr: 0x26B0, symSize: 0x160 }
  - { offsetInCU: 0xB55F, offset: 0xB55F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x70D0, symBinAddr: 0x4100, symSize: 0xB0 }
  - { offsetInCU: 0xB5D6, offset: 0xB5D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x2970, symBinAddr: 0x2640, symSize: 0x70 }
  - { offsetInCU: 0xB6AA, offset: 0xB6AA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4EE0, symBinAddr: 0x2DC0, symSize: 0x150 }
  - { offsetInCU: 0xB8FA, offset: 0xB8FA, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x3820, symBinAddr: 0x2810, symSize: 0xA0 }
  - { offsetInCU: 0xBA49, offset: 0xBA49, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x4570, symBinAddr: 0x28B0, symSize: 0x100 }
  - { offsetInCU: 0xBB3C, offset: 0xBB3C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x4930, symBinAddr: 0x2AE0, symSize: 0xC0 }
  - { offsetInCU: 0xBD47, offset: 0xBD47, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5AB0, symBinAddr: 0x33B0, symSize: 0xA0 }
  - { offsetInCU: 0xBE16, offset: 0xBE16, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x5E20, symBinAddr: 0x3450, symSize: 0x20 }
  - { offsetInCU: 0xBE4D, offset: 0xBE4D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x5E40, symBinAddr: 0x3470, symSize: 0x20 }
  - { offsetInCU: 0xBE84, offset: 0xBE84, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x5E60, symBinAddr: 0x3490, symSize: 0x20 }
  - { offsetInCU: 0xBF33, offset: 0xBF33, size: 0x8, addend: 0x0, symName: _copyFromJString, symObjAddr: 0x62F0, symBinAddr: 0x34B0, symSize: 0xF0 }
  - { offsetInCU: 0xC190, offset: 0xC190, size: 0x8, addend: 0x0, symName: _getMethodName, symObjAddr: 0x63E0, symBinAddr: 0x35A0, symSize: 0x2F0 }
  - { offsetInCU: 0xC58F, offset: 0xC58F, size: 0x8, addend: 0x0, symName: __ZN13JvmtiResourceD1Ev, symObjAddr: 0x66D0, symBinAddr: 0x3890, symSize: 0x80 }
  - { offsetInCU: 0xC631, offset: 0xC631, size: 0x8, addend: 0x0, symName: _locationToString, symObjAddr: 0x6750, symBinAddr: 0x3910, symSize: 0xC0 }
  - { offsetInCU: 0xC6D9, offset: 0xC6D9, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_setDebuggeeMethodName, symObjAddr: 0x69A0, symBinAddr: 0x39D0, symSize: 0x40 }
  - { offsetInCU: 0xC74C, offset: 0xC74C, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_setDebuggeeClassName, symObjAddr: 0x69E0, symBinAddr: 0x3A10, symSize: 0x40 }
  - { offsetInCU: 0xC7BF, offset: 0xC7BF, size: 0x8, addend: 0x0, symName: _Java_vm_mlvm_indy_func_jvmti_stepBreakPopReturn_INDIFY_1Test_checkStatus, symObjAddr: 0x6A20, symBinAddr: 0x3A50, symSize: 0xE0 }
  - { offsetInCU: 0xC873, offset: 0xC873, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x6B00, symBinAddr: 0x3B30, symSize: 0x120 }
  - { offsetInCU: 0xC9CB, offset: 0xC9CB, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x6C20, symBinAddr: 0x3C50, symSize: 0x2F0 }
  - { offsetInCU: 0xCDE9, offset: 0xCDE9, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x6F10, symBinAddr: 0x3F40, symSize: 0x1C0 }
  - { offsetInCU: 0xD09B, offset: 0xD09B, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x7180, symBinAddr: 0x41B0, symSize: 0x370 }
...
